rem    OutputFile: %2\%1.flavia.inf
rem    OutputFile: %2\%1-ramsolid.info
rem    ErrorFile: %2\%1.flavia.err
rem    ErrorFile: %2\%1-ramsolid.err
rem    WarningFile: %2\%1.flavia.war
tcl

# Reading arguments and initializations
foreach "- - basename dir problemtypedir - exetype restype" $argv break
set dir [file normalize $dir]
set problemtypedir [file normalize $problemtypedir]

lappend auto_path [file join $problemtypedir .. scripts]
package require Tk

set debug 0
if { $debug } {
    lappend auto_path ~/mytcltk
    bind all <F12> { package require RamDebugger }
}

package require compass_utils
auto_load compass_client::init_gui
namespace import -force compass_client::*

# Initiate remote calculation window
source [file join $problemtypedir .. scripts calc.remote.tcl]
set myrun::dir_ptype $problemtypedir
set myrun::restype $restype
set myrun::exetype $exetype

# Global variable "RunningProcess" is written when GiD kills the process
set RunningProcess running
trace add variable RunningProcess write "compass_client::gui_exit ;#"

compass_client::init_gui -infofile_ext .flavia.inf \
    -run_handler myrun::run_ramsandtdyn \
    -sysinfo_handler myrun::get_sysinfo \
    -exit_handler [list myrun::finish $basename $dir] \
    -hide_model_password -exit_after_analysis \
    -gid_model $dir \
    -password_file [file join $problemtypedir password.txt]

vwait forever















